import graphene


class PaweljongSitePreferencesType(graphene.ObjectType):
    event_registration_email_participant_help_text = graphene.String()
    event_registration_register_participant_help_text = graphene.String()
    event_registration_contact_details_participant_help_text = graphene.String()
    event_registration_guardians_participant_help_text = graphene.String()
    event_registration_additional_participant_help_text = graphene.String()
    event_registration_financial_participant_help_text = graphene.String()
    event_registration_consent_participant_help_text = graphene.String()
    event_registration_confirm_participant_help_text = graphene.String()

    event_registration_email_guardian_help_text = graphene.String()
    event_registration_register_guardian_help_text = graphene.String()
    event_registration_contact_details_guardian_help_text = graphene.String()
    event_registration_guardians_guardian_help_text = graphene.String()
    event_registration_additional_guardian_help_text = graphene.String()
    event_registration_financial_guardian_help_text = graphene.String()
    event_registration_consent_guardian_help_text = graphene.String()
    event_registration_confirm_guardian_help_text = graphene.String()

    def resolve_event_registration_email_participant_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_email_participant_help_text"]

    def resolve_event_registration_register_participant_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_register_participant_help_text"]

    def resolve_event_registration_contact_details_participant_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_contact_details_participant_help_text"]

    def resolve_event_registration_guardians_participant_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_guardians_participant_help_text"]

    def resolve_event_registration_additional_participant_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_additional_participant_help_text"]

    def resolve_event_registration_financial_participant_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_financial_participant_help_text"]

    def resolve_event_registration_consent_participant_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_consent_participant_help_text"]

    def resolve_event_registration_confirm_participant_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_confirm_participant_help_text"]

    def resolve_event_registration_email_guardian_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_email_guardian_help_text"]

    def resolve_event_registration_register_guardian_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_register_guardian_help_text"]

    def resolve_event_registration_contact_details_guardian_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_contact_details_guardian_help_text"]

    def resolve_event_registration_guardians_guardian_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_guardians_guardian_help_text"]

    def resolve_event_registration_additional_guardian_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_additional_guardian_help_text"]

    def resolve_event_registration_financial_guardian_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_financial_guardian_help_text"]

    def resolve_event_registration_consent_guardian_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_consent_guardian_help_text"]

    def resolve_event_registration_confirm_guardian_help_text(parent, info, **kwargs):
        return parent["paweljong__event_registration_confirm_guardian_help_text"]
